
if-shell '[ #{client_height} -ge 23 ]' {
	bind-key C-s display-menu -T 'Session commands' \
		'List sessions'  '' 'list-sessions' \
		'Show session tree (w)' '' 'choose-tree -Zw' \
		'New session' '' 'command-prompt { new-session -s "%%" }' \
		'Rename session' & 'command-prompt -I "#S" { rename-session "%%" }' \
		'Kill session' '' 'confirm-before -p "kill-session #S? (y/n)" kill-session' \
		'' \
		'     Switch to another session' '' '' \
		'Switch to main' m 'switch-client -t main' \
		'Switch to www' w 'switch-client -t www' \
		'Switch to ssh' s 'switch-client -t ssh' \
		'Switch to previous session' ( 'switch-client -p' \
		'Switch to next session' ) 'switch-client -n' \
		'Switch to next session *' C-s 'switch-client -n' \
		'Switch to other session' '' 'command-prompt -T target { switch-client -t "%%" }' \
		'' \
		'Convert current session to group (for independent sharing)' '' "new-session -A -s #{session_name}2 -t #{session_name} " \
		'Link the current window to another session' '' 'command-prompt -T target { link-window -t "%%" }' \
		'Unlink window from this session' C-u 'unlink-window'
}

if-shell '[ -f ~/.tmux.insert.conf ]' {
	source-file ~/.tmux.insert.conf
}

